=== debian/changelog ===
ros-humble-gazebo-ros2-control-demos (0.4.4-1jammy) jammy; urgency=high

  * Set the C++ version to 17 (#221 <https://github.com/ros-controls/gazebo_ros2_control/issues/221>) (#228 <https://github.com/ros-controls/gazebo_ros2_control/issues/228>)
    (cherry picked from commit 6da415cf82a75e2a5e9f9a41400957ad45b2be84)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Update diff_drive_controller.yaml (#224 <https://github.com/ros-controls/gazebo_ros2_control/issues/224>) (#225 <https://github.com/ros-controls/gazebo_ros2_control/issues/225>)
    The wrong base frame is set. The name of the link in the URDF is chassis.
    (cherry picked from commit c915939bfc13a43b2ab0e30029725f6c8023f3ca)
    Co-authored-by: David V. Lu!! <mailto:davidvlu@gmail.com>
  * Add pre-commit and CI-format (#206 <https://github.com/ros-controls/gazebo_ros2_control/issues/206>) (#207 <https://github.com/ros-controls/gazebo_ros2_control/issues/207>)
    * Add pre-commit and ci-format
    (cherry picked from commit f2cf686a1a97cefc9b5e3daa115e0c4854ea5707)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: Alejandro Hernández Cordero, Christoph Fröhlich, mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.3-1jammy) jammy; urgency=high

  * Clean shutdown position example (#196 <https://github.com/ros-controls/gazebo_ros2_control/issues/196>) (#199 <https://github.com/ros-controls/gazebo_ros2_control/issues/199>)
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 22 May 2023 22:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 01 Mar 2023 23:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.1-1jammy) jammy; urgency=high

  * Add tricycle controller demo (#145 <https://github.com/ros-controls/gazebo_ros2_control/issues/145>)
  * Contributors: Tony Najjar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 06 Feb 2023 23:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.0-1jammy) jammy; urgency=high

  * fix demo launch
  * Fix setting initial values if command interfaces are not defined. (#110 <https://github.com/ros-simulation/gazebo_ros2_control/issues/110>)
  * Contributors: Bence Magyar, Denis Štogl, Maciej Bednarczyk

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 08 Aug 2022 22:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.3.1-1jammy) jammy; urgency=high

  * Fixed CMake source file extension (#140 <https://github.com/ros-simulation/gazebo_ros2_control/issues/140>)
  * Adding simulation time parameter for the controller manager (#138 <https://github.com/ros-simulation/gazebo_ros2_control/issues/138>)
    Adding the simulation parameter so that the controller manager uses the simulation time instead of the ROS time.  The '/odom' and corresponding tf will only be published if this parameter is set to true.
  * Adjust repo URL (#134 <https://github.com/ros-simulation/gazebo_ros2_control/issues/134>)
  * Changed launch variable name (#130 <https://github.com/ros-simulation/gazebo_ros2_control/issues/130>)
  * Contributors: Alejandro Hernández Cordero, Bence Magyar, Eslam Salah, Jakub "Deli" Delicat

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 04 Jul 2022 22:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.3.0-1jammy) jammy; urgency=high

  * [Forward port main] Added diff drive example (#113 <https://github.com/ros-simulation/gazebo_ros2_control/issues/113>) (#129 <https://github.com/ros-simulation/gazebo_ros2_control/issues/129>)
  * Merge pull request #120 <https://github.com/ros-simulation/gazebo_ros2_control/issues/120> from ros-simulation/ahcorde/main/117
    Adapted to Humble
  * make linters happy
  * Update to Humble API
  * Support for mimic joints and example with gripper. (#107 <https://github.com/ros-simulation/gazebo_ros2_control/issues/107>)
  * Contributors: Alejandro Hernández Cordero, Denis Štogl, ahcorde

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 26 May 2022 22:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.0.8-1jammy) jammy; urgency=high

  * Enable setting default position of the simulated robot using ros2_control URDF tag. (#100 <https://github.com/ros-simulation/gazebo_ros2_control//issues/100>)
  * Contributors: Denis Štogl

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 27 Jan 2022 23:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.0.7-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 02 Dec 2021 23:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.0.6-1jammy) jammy; urgency=high

  * Fix ros2_control resource manager in galatic (#96 <https://github.com/ros-simulation/gazebo_ros2_control//issues/96>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 17 Nov 2021 23:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.0.4-1jammy) jammy; urgency=high

  * fix maintainer email (#92 <https://github.com/ros-simulation/gazebo_ros2_control//issues/92>)
  * Galactic: Pass time and period to update function (#88 <https://github.com/ros-simulation/gazebo_ros2_control//issues/88>)
  * Update severity of msgs to proper level (#91 <https://github.com/ros-simulation/gazebo_ros2_control//issues/91>)
  * Add Imu and FT state interfaces (#65 <https://github.com/ros-simulation/gazebo_ros2_control//issues/65>)
    Co-authored-by: Jordan Palacios <mailto:jordan.palacios@pal-robotics.com>
  * Contributors: Alejandro Hernández Cordero, Andy McEvoy, Bence Magyar, Victor Lopez

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 25 Oct 2021 22:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.0.3-1jammy) jammy; urgency=high


