## ros-humble-gazebo-ros2-control-demos 0.4.10

=== debian/changelog ===
ros-humble-gazebo-ros2-control-demos (0.4.10-1bookworm) bookworm; urgency=high

  * Add support for getting PID parameters from loaded parameters (#374 <https://github.com/ros-controls/gazebo_ros2_control//issues/374>) (#375 <https://github.com/ros-controls/gazebo_ros2_control//issues/375>)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit 6a4cc84344ed1a86807dc77f23f199598a205296)
    Co-authored-by: Sai Kishor Kothakota <mailto:saisastra3@gmail.com>
  * Add missing dependency (#350 <https://github.com/ros-controls/gazebo_ros2_control//issues/350>) (#351 <https://github.com/ros-controls/gazebo_ros2_control//issues/351>)
    (cherry picked from commit 06da0b04fefc0fa8f0bb8d4f57425d0abb261654)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 16 Sep 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.9-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 01 Jul 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.8-1bookworm) bookworm; urgency=high

  * Change initial pose of pendulum (#313 <https://github.com/ros-controls/gazebo_ros2_control//issues/313>) (#315 <https://github.com/ros-controls/gazebo_ros2_control//issues/315>)
    (cherry picked from commit 40ee42da16af9f1bc78886dbaec8082fd3fdea26)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Add PID controller to control joint using effort (#294 <https://github.com/ros-controls/gazebo_ros2_control//issues/294>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Add an example with a passive joint (backport #172 <https://github.com/ros-controls/gazebo_ros2_control//issues/172>) (#306 <https://github.com/ros-controls/gazebo_ros2_control//issues/306>)
    * Add an example with a passive joint (#172 <https://github.com/ros-controls/gazebo_ros2_control//issues/172>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit 7d5ec5dbad710d628bc14a82195c196f088621b8)
    # Conflicts:
    #     doc/index.rst
    * Fixed docs
    ---------
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: chameau5050, mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 13 May 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.7-1bookworm) bookworm; urgency=high

  * Cleanup of demos (#290 <https://github.com/ros-controls/gazebo_ros2_control/issues/290>) (#292 <https://github.com/ros-controls/gazebo_ros2_control/issues/292>)
    (cherry picked from commit 03b853b5337f6b8e9b8d4c0c8a3d814d7f34a97c)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 20 Mar 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.6-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.5-1bookworm) bookworm; urgency=high

  * Rename cartpole (#252 <https://github.com/ros-controls/gazebo_ros2_control/issues/252>) (#254 <https://github.com/ros-controls/gazebo_ros2_control/issues/254>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit b39074a4a1adf8a9319a6d4378ac26e2aa9e298a)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Replace double quotes with single ones (#243 <https://github.com/ros-controls/gazebo_ros2_control/issues/243>) (#244 <https://github.com/ros-controls/gazebo_ros2_control/issues/244>)
    (cherry picked from commit f991075a672a26d42c49504e07f8dbb46dfcbb4a)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Cleanup controller config (#232 <https://github.com/ros-controls/gazebo_ros2_control/issues/232>) (#233 <https://github.com/ros-controls/gazebo_ros2_control/issues/233>)
    * Remove wrong yaml entries
    * Rename effort_controller
    (cherry picked from commit 934621ee236dc9b32350b113c6b42a894bfbf092)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 03 Jan 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control-demos (0.4.4-1bookworm) bookworm; urgency=high

  * Set the C++ version to 17 (#221 <https://github.com/ros-controls/gazebo_ros2_control/issues/221>) (#228 <https://github.com/ros-controls/gazebo_ros2_control/issues/228>)
    (cherry picked from commit 6da415cf82a75e2a5e9f9a41400957ad45b2be84)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Update diff_drive_controller.yaml (#224 <https://github.com/ros-controls/gazebo_ros2_control/issues/224>) (#225 <https://github.com/ros-controls/gazebo_ros2_control/issues/225>)
    The wrong base frame is set. The name of the link in the URDF is chassis.
    (cherry picked from commit c915939bfc13a43b2ab0e30029725f6c8023f3ca)
    Co-authored-by: David V. Lu!! <mailto:davidvlu@gmail.com>
  * Add pre-commit and CI-format (#206 <https://github.com/ros-controls/gazebo_ros2_control/issues/206>) (#207 <https://github.com/ros-controls/gazebo_ros2_control/issues/207>)
    * Add pre-commit and ci-format
    (cherry picked from commit f2cf686a1a97cefc9b5e3daa115e0c4854ea5707)

